Package com.microblink.blinkid.view

# Enum Class CameraAspectMode

java.lang.Object
java.lang.Enum<CameraAspectMode>
com.microblink.blinkid.view.CameraAspectMode

All Implemented Interfaces:
  `android.os.Parcelable`, `Serializable`, `Comparable<CameraAspectMode>`, `Constable`

public enum CameraAspectMode extends Enum<CameraAspectMode> implements android.os.Parcelable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASPECT_FILL`
  Aspect ratio of the camera preview will be kept by zooming and cropping the camera preview so that it will fill the given view.
  `ASPECT_FIT`
  Aspect ratio of the camera preview will be kept by letterboxing the camera preview into the given view.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<CameraAspectMode>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `static CameraAspectMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CameraAspectMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ASPECT_FIT

    public static final CameraAspectMode ASPECT_FIT
    Aspect ratio of the camera preview will be kept by letterboxing the camera preview into the given view. This camera mode will use full camera frames for processing.

  - ### ASPECT_FILL

    public static final CameraAspectMode ASPECT_FILL
    Aspect ratio of the camera preview will be kept by zooming and cropping the camera preview so that it will fill the given view. Only visible part of camera frame will be used for processing.

- ## Field Details

  - ### CREATOR

    @NonNull public static final android.os.Parcelable.Creator<CameraAspectMode> CREATOR

- ## Method Details

  - ### values

    public static CameraAspectMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CameraAspectMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`